
Core - Bug # 52585

Status: Resolved Priority: Must have
Author: Oliver Hader Category: Install Tool
Created: 2013-10-07 Assigned To: Christian Kuhn
Updated: 2013-10-15 Due date:
TYPO3 Version: 6.2
PHP Version: 5.3
Complexity:
Is Regression: No
Sprint Focus:
Subject: Overwriting exiting database during install does not work
Description

It sounds nice that existing data cannot be overwritten anymore... however, if it's intended and the database user is not allowed to
create new databases, then one is lost after the first 10 seconds with TYPO3.
Steps to reproduce:
    -  install TYPO3 CMS 6.2
    -  use user that has a database with data/tables
    -  you won't find the database in the list of "empty databases" - which is correct of course, but not helpful

Related issues:
related to Core - Task # 49162: Rewrite install tool Resolved 2011-10-30

Associated revisions
Revision ced1f406 - 2013-10-15 14:57 - Nicole Cordes

[TASK] Show not empty databases in install tool

This patch enables the visibility of all databases the user has access
to but disables the non empty ones from being chosen.

Resolves: #52585
Releases: 6.2
Change-Id: Ic8b527c5d256e46b99f79c35d236809ce015cbef
Reviewed-on: https://review.typo3.org/24668
Reviewed-by: Nicole Cordes
Tested-by: Nicole Cordes
Reviewed-by: Thorsten Kahler
Tested-by: Thorsten Kahler
Reviewed-by: Alexander Opitz
Tested-by: Alexander Opitz
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

History
#1 - 2013-10-07 16:55 - Markus Klein

-1 here.

A user usually has access to the database in another way (phpMyAdmin), at least I don't know a single hosting service that does not provide such an
access.
The user can clean the DB there.

#2 - 2013-10-07 17:37 - Oliver Hader

Markus Klein wrote:

-1 here.

A user usually has access to the database in another way (phpMyAdmin), at least I don't know a single hosting service that does not provide such
an access.
The user can clean the DB there.

Well, I know a lot of them - and this is the origin of this issue as well

#3 - 2013-10-08 12:39 - Philipp Gampe

You might want to install TYPO3 CMS into a not empty DB to e.g. share certain tables with another application.

#4 - 2013-10-08 19:05 - Christian Kuhn

And how to handle a 'partly' filled database? Drop those tables the instance need? What about existing content rows? I'm also in favor of not allowing
this, lets discuss this tomorrow, Oli.

#5 - 2013-10-10 18:28 - Ernesto Baschny
- Assigned To set to Christian Kuhn
- Target version set to 6.2.0

We discussed this in the release team today and decided that we will show the empty databases in the list where the user has access too, but leave
them "unselectable" (maybe with a warning beside it = "Not empty") so that he at least has a chance to notice where the error is before wondering if
there are permission issues in his DB setup.

#6 - 2013-10-13 03:35 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24668

#7 - 2013-10-13 14:58 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24668
#8 - 2013-10-15 15:30 - Nicole Cordes
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ced1f4065dbc6c9bd61044c32af720e8d5e6529b.
